curl --location --request POST 'https://api-prd.moonscale.com/api/v1/rooms' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <YOUR_API_KEY>' \
--data-raw '{
{
"name": "room-name",
"liveAvatarId": "avatar-uuid",
"conversationShortCode": "conversation-shortcode"
"contactEmail": "name@example.com"
"privacy": "private",
"enableChat": true,
"roomSettings": { "shouldBotJoinImmediately": false },
"context": "context"
}
}'
{
"url": "https://your-daily-room-url",
"conversationId": "conversation-id"
}
Real-Time Avatars
Create meeting room
Establishes a live meeting room featuring an AI assistant, accessible to a single participant. Upon joining, the user may engage in a timed conversation with the assistant.
POST
/
api
/
v1
/
rooms
curl --location --request POST 'https://api-prd.moonscale.com/api/v1/rooms' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <YOUR_API_KEY>' \
--data-raw '{
{
"name": "room-name",
"liveAvatarId": "avatar-uuid",
"conversationShortCode": "conversation-shortcode"
"contactEmail": "name@example.com"
"privacy": "private",
"enableChat": true,
"roomSettings": { "shouldBotJoinImmediately": false },
"context": "context"
}
}'
{
"url": "https://your-daily-room-url",
"conversationId": "conversation-id"
}
Headers
Body application/json
The conversationShortCode for the liveAvatar that should be used for the meeting as a string. If there is no current conversation history with this avatar, leave it blank.
The enable chat setting for the room, which opens the chat up by default once the call starts, a boolean value that is defaulted to true.
The daily meeting room properties for the meeting room. Currently only supports the property “shouldBotJoinImmediately”, which is defaulted to false.
curl --location --request POST 'https://api-prd.moonscale.com/api/v1/rooms' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <YOUR_API_KEY>' \
--data-raw '{
{
"name": "room-name",
"liveAvatarId": "avatar-uuid",
"conversationShortCode": "conversation-shortcode"
"contactEmail": "name@example.com"
"privacy": "private",
"enableChat": true,
"roomSettings": { "shouldBotJoinImmediately": false },
"context": "context"
}
}'
{
"url": "https://your-daily-room-url",
"conversationId": "conversation-id"
}
